#ifdef _CH_
#pragma package <opencv>
#endif

#ifndef _EiC
#include "cv.h"
#include "highgui.h"
#endif

#ifndef _REDFEATURE_H
#define _REDEFEATURE_H

#include <vector>
#include <math.h>

class redFeature: public feature  {

public:
	redFeature();
	redFeature(int d);
	virtual ~redFeature();
	//int dominantOrientation;

	int calcValue(IplImage *input, IplImage **bins, IplImage *red);
};

#endif 

#ifdef _EiC
main(1,"redFeature.cpp");
#endif